> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Contacts in a Contact List

> Returns one bounded page of logical Contacts in the List. Existing physical duplicate rows are collapsed before membership is evaluated.



## OpenAPI

````yaml get /api/v2/contact/list/{listName}
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/contact/list/{listName}:
    get:
      tags:
        - Contacts
      summary: List Contacts in a Contact List
      description: >-
        Returns one bounded page of logical Contacts in the List. Existing
        physical duplicate rows are collapsed before membership is evaluated.
      parameters:
        - name: listName
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          description: Page number starting at 1. Defaults to 1.
          schema:
            type: integer
        - name: pageSize
          in: query
          description: Page size. Defaults to 20 and is capped at 100.
          schema:
            type: integer
        - name: sort
          in: query
          description: updatedAt, createdAt, id, name, email, or phone.
          schema:
            type: string
        - name: order
          in: query
          description: asc or desc.
          schema:
            type: string
      responses:
        default:
          description: ''
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````